Skip to main content
POST
Cancel a job
Authentication: Authorization: Bearer <token> with Dashboard session, Pomerado MCP OAuth token, API key, integration API key. Permission: jobs:cancel. Effect: Destructive: replaces or removes something, and cannot be undone. Errors: invalid_request (400), unauthorized (401), reauthentication_required (401), forbidden (403), not_found (404), internal_error (500), temporarily_unavailable (503). Every error has the same envelope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

a job ID: job_ and 32 lowercase hex digits

Example:

"job_0f8e2d1c4b3a49e8a7f6e5d4c3b2a190"

Response

The job, stopping or cancelled

id
string
required

a job ID: job_ and 32 lowercase hex digits

Example:

"job_0f8e2d1c4b3a49e8a7f6e5d4c3b2a190"

type
enum<string>
required
Available options:
run,
build
status
enum<string>
required
Available options:
queued,
running,
needs_input,
succeeded,
failed,
cancelled
tool_id
string | null
required
input_request
object | null
required
result
any
required
result_expires_at
string | null
required

a string to be decoded into a Date

write_status
enum<string> | null
required
Available options:
not_attempted,
may_have_applied,
applied,
not_applied
login_save
object | null
required
error
object | null
required
message
string | null
required
maintenance
object | null
required
build
object | null
required
watch_url
string
required
created_at
string
required

a string to be decoded into a Date

updated_at
string
required

a string to be decoded into a Date

completed_at
string | null
required

a string to be decoded into a Date

tip
string